<template>
    <div
      class="flex top-0 items-center justify-center bg-slate-500/75 fixed w-full h-screen z-[100]"
      scroll-strategy="block"
      v-if="visible"
      @click.self="CloseModal"
    >
      <div>
        <slot />
      </div>
    </div>
</template>

<script setup lang="ts">
import { useModalStore } from "@/stores/modal";
import { storeToRefs } from "pinia";
const { MODAL_STATE } = storeToRefs(useModalStore());
const { CloseModal } = useModalStore();

const visible = computed(() => MODAL_STATE.value.valueOf());
</script>
